"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _renderer = require("../../atlaskit/src/renderer");

var _renderer2 = _interopRequireDefault(_renderer);

var _FieldDefinitionField = require("./FieldDefinitionField");

var _FieldDefinitionField2 = _interopRequireDefault(_FieldDefinitionField);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var renderer = function renderer(field, onChange) {
  var id = field.id,
      type = field.type;

  switch (type) {
    case "field":
      return _react2.default.createElement(_FieldDefinitionField2.default, _extends({ key: id }, field));

    default:
      return (0, _renderer2.default)(field, onChange);
  }
};

exports.default = renderer;